# Uses of Interface
javax.swing.text.Highlighter

Packages that use Highlighter
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Highlighter in javax.swing.plaf.basic

Classes in javax.swing.plaf.basic that implement Highlighter
Modifier and Type
Class
Description
`static class`
`BasicTextUI.BasicHighlighter`
Default implementation of the interface `Highlighter`.
Methods in javax.swing.plaf.basic that return Highlighter
Modifier and Type
Method
Description
`protected Highlighter`
BasicTextUI.`createHighlighter()`
Creates the object to use for adding highlights.

## Uses of Highlighter in javax.swing.text

Classes in javax.swing.text that implement Highlighter
Modifier and Type
Class
Description
`class`
`DefaultHighlighter`
Implements the Highlighter interfaces.
`class`
`LayeredHighlighter`
Implementation of `Highlighter` interface to mark up the background of leaf views with colored areas.
Methods in javax.swing.text that return Highlighter
Modifier and Type
Method
Description
`Highlighter`
JTextComponent.`getHighlighter()`
Fetches the object responsible for making highlights.
Methods in javax.swing.text with parameters of type Highlighter
Modifier and Type
Method
Description
`void`
JTextComponent.`setHighlighter(Highlighter h)`
Sets the highlighter to be used.